Cancel an immediate payment
You can only cancel a payment request with an Initiated or Pending status. After the payment moves to Processing, Succeeded, or any terminal state, cancellation is no longer possible.
Cancel the request
- Confirm that the payment request has an
InitiatedorPendingstatus. - Send:
PUT /paymentRequests/{id}/cancel, including a reason for the cancellation.
Example
curl -X PUT https://api.vitessepsp.com/paymentRequests/95a54a33-32cb-4415-94f7-607dc0fd1a6c/cancel -H "Authorization: Bearer eyJhbGciOiJ..." -H "Content-Type: application/json" -d '{"ReasonId":"duplicate-payment"}'
Where the
ReasonIdisother, you must include aDescription, for example:
-d '{"ReasonId":"other","Description":"Payment suspended following internal compliance escalation."}'
If the cancellation succeeds, you will receive a 200 OK response, with the Status set to Cancelled. The payment request is no longer active and will not be processed.
What to do next
If the cancellation succeeds, you can:
- Create a new payment request if you want to resend the payment
- Use
GET /payment-request/{id}to confirm theCancelledstatus
Updated 24 days ago